public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Catalyst-Plugin-ErrorCatcher/
Date: Thu,  8 Dec 2011 06:46:02 +0000 (UTC)	[thread overview]
Message-ID: <4f16d94325a67a5bba133b8f09018c4825fda4ce.kent@gentoo> (raw)

commit:     4f16d94325a67a5bba133b8f09018c4825fda4ce
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Thu Dec  8 06:44:39 2011 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Thu Dec  8 06:44:39 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=4f16d943

[newversion/fixdep] Catalyst-Plugin-ErrorCatcher-0.0.8.10 / <=0.0.8.9 -> Catalyst-Plugin-StackTrace

(Portage version: 2.2.0_alpha79/git/Linux x86_64, signed Manifest commit with key BD86D695)

---
 .../Catalyst-Plugin-ErrorCatcher-0.0.8.10.ebuild   |  116 ++++++++++++++++++++
 .../Catalyst-Plugin-ErrorCatcher-0.0.8.7.ebuild    |    2 +-
 .../Catalyst-Plugin-ErrorCatcher-0.0.8.8.ebuild    |    2 +-
 .../Catalyst-Plugin-ErrorCatcher-0.0.8.9.ebuild    |    2 +-
 dev-perl/Catalyst-Plugin-ErrorCatcher/ChangeLog    |    9 ++
 5 files changed, 128 insertions(+), 3 deletions(-)

diff --git a/dev-perl/Catalyst-Plugin-ErrorCatcher/Catalyst-Plugin-ErrorCatcher-0.0.8.10.ebuild b/dev-perl/Catalyst-Plugin-ErrorCatcher/Catalyst-Plugin-ErrorCatcher-0.0.8.10.ebuild
new file mode 100644
index 0000000..39a7517
--- /dev/null
+++ b/dev-perl/Catalyst-Plugin-ErrorCatcher/Catalyst-Plugin-ErrorCatcher-0.0.8.10.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=CHISEL
+MODULE_VERSION=0.0.8.10
+inherit perl-module
+
+DESCRIPTION='Catch application errors and emit them somewhere'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+perl_meta_configure() {
+	# ExtUtils::MakeMaker 6.30 ( 6.300.0 )
+	echo \>=virtual/perl-ExtUtils-MakeMaker-6.30
+}
+perl_meta_build() {
+	# Catalyst
+	echo dev-perl/Catalyst-Runtime
+	# Catalyst::Controller
+	echo dev-perl/Catalyst-Runtime
+	# Catalyst::Plugin::Authentication 0.10010 ( 0.100.100 )
+	echo \>=dev-perl/Catalyst-Plugin-Authentication-0.100.100
+	# Catalyst::Plugin::ConfigLoader 0.22 ( 0.220.0 )
+	echo \>=dev-perl/Catalyst-Plugin-ConfigLoader-0.220.0
+	# Catalyst::Plugin::Session
+	echo dev-perl/Catalyst-Plugin-Session
+	# Catalyst::Plugin::Session::State::Cookie
+	echo dev-perl/Catalyst-Plugin-Session-State-Cookie
+	# Catalyst::Plugin::Session::Store::File
+	echo dev-perl/Catalyst-Plugin-Session-Store-File
+	# Catalyst::Plugin::StackTrace 0.10 ( 0.100.0 )
+	echo \>=dev-perl/Catalyst-Plugin-StackTrace-0.100.0
+	# Catalyst::Runtime 5.80 ( 5.800.0 )
+	echo \>=dev-perl/Catalyst-Runtime-5.800.0
+	# Catalyst::Test
+	echo dev-perl/Catalyst-Runtime
+	# Config::General
+	echo dev-perl/config-general
+	# DateTime
+	echo dev-perl/DateTime
+	# File::Find::Rule
+	echo dev-perl/File-Find-Rule
+	# File::Path
+	echo virtual/perl-File-Path
+	# File::Slurp
+	echo dev-perl/File-Slurp
+	# FindBin::libs
+	echo dev-perl/FindBin-libs
+	# HTTP::Request::Common
+	echo dev-perl/HTTP-Message
+	# IO::File
+	echo virtual/perl-IO
+	# MIME::Lite
+	echo dev-perl/MIME-Lite
+	# MRO::Compat
+	echo dev-perl/MRO-Compat
+	# Path::Class
+	echo dev-perl/Path-Class
+	# Sys::Hostname
+	echo dev-lang/perl
+	# Test::Exception
+	echo dev-perl/Test-Exception
+	# Test::More 0.92 ( 0.920.0 )
+	echo \>=virtual/perl-Test-Simple-0.92
+	# Test::UseAllModules
+	echo dev-perl/Test-UseAllModules
+	# base
+	# echo virtual/perl-base
+	# namespace::autoclean
+	echo dev-perl/namespace-autoclean
+	# overload
+	echo dev-lang/perl
+	# version
+	echo virtual/perl-version
+}
+perl_meta_runtime() {
+	# Catalyst::ClassData
+	echo dev-perl/Catalyst-Runtime
+	# Data::Dump
+	echo dev-perl/Data-Dump
+	# DateTime
+	echo dev-perl/DateTime
+	# File::Slurp
+	echo dev-perl/File-Slurp
+	# File::Type
+	echo dev-perl/File-Type
+	# IO::File
+	echo virtual/perl-IO
+	# MIME::Lite
+	echo dev-perl/MIME-Lite
+	# Module::Pluggable::Object
+	echo virtual/perl-Module-Pluggable
+	# Moose
+	echo dev-perl/Moose
+	# Path::Class
+	echo dev-perl/Path-Class
+	# Sys::Hostname
+	echo dev-lang/perl
+	# perl 5.008004 ( 5.8.4 )
+	echo \>=dev-lang/perl-5.8.4
+	# strict
+	echo dev-lang/perl
+	# warnings
+	echo dev-lang/perl
+}
+DEPEND="
+	$(perl_meta_configure)
+	$(perl_meta_build)
+	$(perl_meta_runtime)
+"
+RDEPEND="
+	$(perl_meta_runtime)
+"
+SRC_TEST="do"

diff --git a/dev-perl/Catalyst-Plugin-ErrorCatcher/Catalyst-Plugin-ErrorCatcher-0.0.8.7.ebuild b/dev-perl/Catalyst-Plugin-ErrorCatcher/Catalyst-Plugin-ErrorCatcher-0.0.8.7.ebuild
index 727db8a..13c21e0 100644
--- a/dev-perl/Catalyst-Plugin-ErrorCatcher/Catalyst-Plugin-ErrorCatcher-0.0.8.7.ebuild
+++ b/dev-perl/Catalyst-Plugin-ErrorCatcher/Catalyst-Plugin-ErrorCatcher-0.0.8.7.ebuild
@@ -32,7 +32,7 @@ DEPEND="${RDEPEND}
 	dev-perl/Catalyst-Plugin-Session
 	dev-perl/Catalyst-Plugin-Session-State-Cookie
 	dev-perl/Catalyst-Plugin-Session-Store-File
-	>=dev-perl/Catalyst-Plugin-StackTrace-0.10
+	>=dev-perl/Catalyst-Plugin-StackTrace-0.100.0
 	dev-perl/config-general
 	dev-perl/File-Find-Rule
 	dev-perl/FindBin-libs

diff --git a/dev-perl/Catalyst-Plugin-ErrorCatcher/Catalyst-Plugin-ErrorCatcher-0.0.8.8.ebuild b/dev-perl/Catalyst-Plugin-ErrorCatcher/Catalyst-Plugin-ErrorCatcher-0.0.8.8.ebuild
index cc4e5ae..2173e77 100644
--- a/dev-perl/Catalyst-Plugin-ErrorCatcher/Catalyst-Plugin-ErrorCatcher-0.0.8.8.ebuild
+++ b/dev-perl/Catalyst-Plugin-ErrorCatcher/Catalyst-Plugin-ErrorCatcher-0.0.8.8.ebuild
@@ -34,7 +34,7 @@ DEPEND="${RDEPEND}
 	dev-perl/Catalyst-Plugin-Session
 	dev-perl/Catalyst-Plugin-Session-State-Cookie
 	dev-perl/Catalyst-Plugin-Session-Store-File
-	>=dev-perl/Catalyst-Plugin-StackTrace-0.10 $(comment 0.100.0)
+	>=dev-perl/Catalyst-Plugin-StackTrace-0.100.0
 	$(comment Catalyst::Test)
 	dev-perl/config-general
 	dev-perl/DateTime

diff --git a/dev-perl/Catalyst-Plugin-ErrorCatcher/Catalyst-Plugin-ErrorCatcher-0.0.8.9.ebuild b/dev-perl/Catalyst-Plugin-ErrorCatcher/Catalyst-Plugin-ErrorCatcher-0.0.8.9.ebuild
index ae3f845..86c9cb6 100644
--- a/dev-perl/Catalyst-Plugin-ErrorCatcher/Catalyst-Plugin-ErrorCatcher-0.0.8.9.ebuild
+++ b/dev-perl/Catalyst-Plugin-ErrorCatcher/Catalyst-Plugin-ErrorCatcher-0.0.8.9.ebuild
@@ -34,7 +34,7 @@ DEPEND="${RDEPEND}
 	dev-perl/Catalyst-Plugin-Session
 	dev-perl/Catalyst-Plugin-Session-State-Cookie
 	dev-perl/Catalyst-Plugin-Session-Store-File
-	>=dev-perl/Catalyst-Plugin-StackTrace-0.10 $(comment 0.100.0)
+	>=dev-perl/Catalyst-Plugin-StackTrace-0.100.0
 	>=dev-perl/Catalyst-Runtime-5.800.0
 	$(comment Catalyst::Test)
 	dev-perl/config-general $(comment Config::General)

diff --git a/dev-perl/Catalyst-Plugin-ErrorCatcher/ChangeLog b/dev-perl/Catalyst-Plugin-ErrorCatcher/ChangeLog
index d54cb86..dbac6a3 100644
--- a/dev-perl/Catalyst-Plugin-ErrorCatcher/ChangeLog
+++ b/dev-perl/Catalyst-Plugin-ErrorCatcher/ChangeLog
@@ -6,6 +6,15 @@
  Catalyst-Plugin-ErrorCatcher-0.0.8.9:
  Tweak deps ( rebased versionbump )
 
+*Catalyst-Plugin-ErrorCatcher-0.0.8.10 (08 Dec 2011)
+
+  08 Dec 2011; Kent Fredric <kentfredric@gmail.com>
+  Catalyst-Plugin-ErrorCatcher-0.0.8.7.ebuild,
+  Catalyst-Plugin-ErrorCatcher-0.0.8.8.ebuild,
+  Catalyst-Plugin-ErrorCatcher-0.0.8.9.ebuild,
+  +Catalyst-Plugin-ErrorCatcher-0.0.8.10.ebuild:
+  Version bump, fix deps on Catalyst-Plugin-StackTrace
+
   11 Nov 2011; Kent Fredric <kentfredric@gmail.com>
   Catalyst-Plugin-ErrorCatcher-0.0.7.ebuild:
   Fixdep Catalyst-Runtime



             reply	other threads:[~2011-12-08  6:46 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-12-08  6:46 Kent Fredric [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-06-20  9:37 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Catalyst-Plugin-ErrorCatcher/ Kent Fredric
2015-06-13 15:21 Kent Fredric
2015-04-02 23:30 Kent Fredric
2015-03-26 22:05 Kent Fredric
2012-08-23 12:35 Kent Fredric
2012-03-27  9:30 Kent Fredric
2011-11-11 14:38 Kent Fredric
2011-10-31  8:46 Kent Fredric
2011-07-23 20:47 Kent Fredric
2011-07-22 19:15 Torsten Veller
2011-04-05 23:35 Kent Fredric

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=4f16d94325a67a5bba133b8f09018c4825fda4ce.kent@gentoo \
    --to=kentfredric@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox